## org.eclipse.wst.validation.internal.provisional.core
Interface IProjectValidationContext

All Superinterfaces:
  IValidationContext

    public interface IProjectValidationContext

extends IValidationContext

IProjectValidationContext extends IValidationContext to provide access to a reference to the project on which a validator is being invoked.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`IProject` `getProject()` Provides the project on which the validator is being invoked.

Methods inherited from interface org.eclipse.wst.validation.internal.provisional.core.IValidationContext
`getURIs, loadModel, loadModel`

Method Detail

### getProject

    IProject getProject()

  Provides the project on which the validator is being invoked.

  Returns:
    an IProject reference to the project on which the validator is being invoked.